/*
 *   Copyright (C) 2002-2004 by Jonathan Naylor G4KLX
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef FSK441BurstData_H
#define	FSK441BurstData_H

#include <wx/wx.h>

#include "common/Average.h"

class CFSK441BurstData {

    public:
	CFSK441BurstData();
	virtual ~CFSK441BurstData();

	virtual void clear();
	virtual void setStartBurst();	
	virtual void setDF(int DF);
	virtual void setData(int tim, double tone0, double tone1, double tone2, double tone3);

	virtual bool processBurst();

	virtual bool     getInBurst() const;
	virtual int      getStartTime() const;
	virtual int      getEndTime() const;
	virtual int      getLength() const;
	virtual int      getStrength(double noise) const;
	virtual int      getDF() const;
	virtual wxString getMessage() const;

    private:
	double*  m_data[4];
	int      m_dataLen;
	CAverage m_strength;
	int      m_startTime;
	int      m_endTime;
	bool     m_inBurst;
	int      m_DF;
	wxString m_message;
};

#endif
